function [NewChrom,ncross] = crossover(Chrom, Px, selected)
% Perform single-point crossover on population Chrom, with 
% crossover probability Px and with the parents chosen in selected



Chrom = Chrom(selected,:);

[Nind,Lind] = size(Chrom);
NewChrom = zeros(Nind,Lind);

Xops = floor(Nind/2);
DoCross = rand(Xops,1) < Px;
odd = 1:2:Nind-1;
even = 2:2:Nind;

Mask = cumsum(ones(Xops,Lind)')';
xsites = ceil(rand(Xops,1)*Lind).*DoCross;
Mask = (xsites(:,ones(1,Lind)) < Mask);

NewChrom(odd,:) = (Chrom(odd,:).* Mask) + (Chrom(even,:).*(~Mask));
NewChrom(even,:) = (Chrom(odd,:).*(~Mask)) + (Chrom(even,:).*Mask);

if rem(Nind,2)
  NewChrom(Nind,:)=Chrom(Nind,:);
end

ncross = sum(DoCross);      %