function expectation = fitsrank(scores,nParents)
%   Rank based fitness scaling.
%   Calculates the EXPECTATION using the SCORES and 
%   number of parents NPARENTS. This relationship is nonlinear.


[ans ,i] = sort(scores);

expectation = zeros(size(scores));
expectation(i) = 1 ./ ((1:length(scores))  .^ 0.3);

expectation = nParents * expectation ./ sum(expectation);
