% Plots the acoustic pressure as function
% of time on the receivers for the observed and best found model.

%Import the source, 'ricker 3 delayed wavelet', 25 Hz
fid = fopen('ricker.wlt','r');
data = textscan(fid,'%n',1,'headerLines', 16);
n_samples = data{1};
data = textscan(fid,'%n',1,'headerLines', 1);
delta_t = data{1};
data = textscan(fid,'%n','headerLines', 1, 'delimiter', '\n');
wavelet = data{1};
fclose('all');

tot_len=size(obs_data,1);
upp = tot_len/nrec;
X = fft(wavelet,upp*4);
X = X(1:upp);

[ans, best] = min(ObjValOld);
t =(0:n_samples-1)*delta_t;

N = size(data_inn,2);
obs_time = freq2time(obs_data, X, nrec, n_samples);
data_inn_time = freq2time(data_inn(:,best), X, nrec, n_samples);
ep = size(obs_time,1);
figure;
for i=1:nrec
    obs = obs_time((i-1)*n_samples+1:n_samples*i);
    predicted = data_inn_time((i-1)*n_samples+1:n_samples*i);
    subplot(nrec,1,i);
    plot(t,obs,t,predicted);
    xlim([1.2 2.1]);
    ylim([-6e-7 7e-7]);
    ylabel('Amplitude')
    xlabel('Time (s)')
    title(['Acoustic pressure on hydrophone #' num2str(i)]);
    h = legend('Observed signal','Best calculated model', 2,'Location','NorthEast');
end
    